-- 是否SOFR利率 字段升级：根据提款单融资模型SOFR利率升级
update t_cfm_loanbill_p cp
set fissofrrate = (
	select pe.fissofrrate
	  from t_cfm_productfactory_e pe, t_cfm_loanbill_e le
     where pe.fid = le.fproductfactoryid and cp.fid = le.fid
)
where exists (select le.fid from t_cfm_loanbill_e le, t_cfm_productfactory_e pe  where pe.fid = le.fproductfactoryid and cp.fid = le.fid);

-- 是否复利计息 字段升级：根据提款单融资模型复利计息升级
update t_cfm_loanbill_p cp
set fiscallcompint = (
	select pe.fiscallcompint
	  from t_cfm_productfactory_e pe, t_cfm_loanbill_e le
     where pe.fid = le.fproductfactoryid and cp.fid = le.fid
)
where exists (select le.fid from t_cfm_loanbill_e le, t_cfm_productfactory_e pe  where pe.fid = le.fproductfactoryid and cp.fid = le.fid);

-- 利息计算方法 字段升级：根据合同单利息计算方法升级
update t_cfm_loanbill_p cp
set fintcalmethod = (
	select ce.fintcalmethod
	  from t_cfm_loancontractbill_e ce, t_cfm_loanbill_e le
     where ce.fid = le.floancontractbillid and cp.fid = le.fid
)
where exists (select le.fid from t_cfm_loanbill_e le, t_cfm_loancontractbill_e ce  where ce.fid = le.floancontractbillid and cp.fid = le.fid);

-- 利率重置日节假日规则 字段升级：根据合同单利率重置日节假日规则升级
update t_cfm_loanbill_p cp
set frateresetadjustrule = (
	select ce.frateresetadjustrule
	  from t_cfm_loancontractbill_e ce, t_cfm_loanbill_e le
     where ce.fid = le.floancontractbillid and cp.fid = le.fid
)
where exists (select le.fid from t_cfm_loanbill_e le, t_cfm_loancontractbill_e ce  where ce.fid = le.floancontractbillid and cp.fid = le.fid);
