--银行提款银团分录新增合同份额字段，历史数据升级
update t_cfm_loancontractbill_ba lba
set fcontractamount = (select fshareamount from ( select ba.fshareamount,l.fid,ba.ffinorginfoid from t_cfm_loanbill l
    inner join t_cfm_loanbill_e le on l.fid = le.fid
    inner join t_cfm_loancontractbill_ba ba on ba.fid = le.floancontractbillid where ba.fshareamount is not null) tt where tt.fid = lba.fid and tt.ffinorginfoid = lba.ffinorginfoid)
where (lba.fcontractamount is null or lba.fcontractamount = 0)
    and exists (select fentryid from (select ba.fentryid,l.fid,ba.ffinorginfoid from t_cfm_loanbill l
    inner join t_cfm_loanbill_e le on l.fid = le.fid
    inner join t_cfm_loancontractbill_ba ba on ba.fid = le.floancontractbillid) t where t.fid = lba.fid and t.ffinorginfoid = lba.ffinorginfoid );
--银行借款合同同步提款，同步提款的银团分录中新增提款份额字段，将银行提款银团分录中的提款份额升级到合同银团分录
update t_cfm_loancontractbill_ba ba set floanamount =fshareamount*(select f.fsyncdrawamount/cn.famount from t_cfm_loancontractbill cn inner join t_cfm_loancontractbill_f f on cn.fid=f.fid where cn.fid=ba.fid and cn.famount>0)
    where exists (select fid from t_cfm_loancontractbill_e e where e.fid=ba.fid and e.floantype='sl')
    and exists (select cn.fid from t_cfm_loancontractbill cn inner join t_cfm_loancontractbill_f f on cn.fid=f.fid where f.fid=ba.fid and f.fissyncdraw='1' and cn.famount>0)
    and (floanamount =0 or floanamount is null);

--银行借款合同同步提款，将同步提款的授信字段升级到银团分录中的管理行分录
update t_cfm_loancontractbill_ba ba set fcreditlimitid=(select fsynccreditlimit from t_cfm_loancontractbill_f lf where fissyncdraw='1' and (fsynccreditlimit is not null and fsynccreditlimit!=0) and lf.fid=ba.fid)
where fbankrole='MB' and (fcreditlimitid is null or fcreditlimitid=0)
    and exists (select fid from t_cfm_loancontractbill_e e where e.fid=ba.fid and e.floantype='sl')
    and exists (select fid from t_cfm_loancontractbill_f f where f.fissyncdraw='1' and f.fsynccreditlimit is not null and f.fsynccreditlimit!=0 and f.fid=ba.fid);

--银行提款将之前的同步提款下推的单头授信升级到银团分录中的授信字段
update t_cfm_loancontractbill_ba ba set fcreditlimitid = (select lo.fcreditlimitid from t_cfm_loanbill lo inner join t_cfm_loanbill_e e on lo.fid=e.fid where e.floantype ='sl' and lo.fid=ba.fid and lo.fcreditlimitid is not null and lo.fcreditlimitid!=0)
 where ba.fbankrole='MB' and (ba.fcreditlimitid is null or ba.fcreditlimitid=0)
 	and exists (select lo.fid from t_cfm_loanbill lo inner join t_cfm_loanbill_e e on lo.fid=e.fid where e.floantype ='sl' and lo.fid=ba.fid and lo.fcreditlimitid is not null and lo.fcreditlimitid!=0);

--银行借款合同同步提款占用的授信数据，将单头占用改成分录占用，升级fsourcebillentryid为银团管理行分录的fentryid
update t_cfm_credituse u set fsourcebillentryid =(select fentryid from t_cfm_loancontractbill_ba ba where ba.fid=u.fsourcebillentryid and fbankrole='MB')
where u.fsourcetype ='cfm_loancontractbill'
    and exists (select fid from t_cfm_loancontractbill_f lf where fissyncdraw='1' and (fsynccreditlimit is not null and fsynccreditlimit!=0) and lf.fid=u.fsourcebillid)
    and exists (select fid from t_cfm_loancontractbill_e e where e.fid=u.fsourcebillentryid and e.floantype='sl')
    and exists (select fentryid from t_cfm_loancontractbill_ba lb where lb.fid=u.fsourcebillentryid and fbankrole='MB')
    and u.fsourcebillentryid =u.fsourcebillid;

--升级同步提款生成的提款单，将单头占用改成分录占用，升级fsourcebillentryid为银团管理行分录的fentryid
update t_cfm_credituse u set fsourcebillentryid =(select fentryid from t_cfm_loancontractbill_ba ba where ba.fid=u.fsourcebillentryid and fbankrole='MB')
where u.fsourcetype ='cfm_loanbill'
    and exists (select lo.fid from t_cfm_loanbill lo inner join t_cfm_loanbill_e e on lo.fid=e.fid where e.floantype ='sl' and lo.fid=u.fsourcebillentryid and lo.fcreditlimitid is not null and lo.fcreditlimitid!=0)
    and exists (select fid from t_cfm_loancontractbill_ba ba where ba.fid=u.fsourcebillentryid and fbankrole='MB')
    and u.fsourcebillentryid =u.fsourcebillid;