﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INTERESTBILL_SL')
 CREATE TABLE T_CFM_INTERESTBILL_SL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBANKROLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FLOANAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYINST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANBILLNOID BIGINT DEFAULT 0 NOT NULL,
FCONVERTINTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYMENTBILL_SL') 
 CREATE TABLE T_CFM_REPAYMENTBILL_SL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBANKROLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FLOANAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYINST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANBILLNOID BIGINT DEFAULT 0 NOT NULL,
FNOTREPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IFM_INTBILL_BATCH_SL') 
 CREATE TABLE T_IFM_INTBILL_BATCH_SL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBANKROLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FLOANAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYINST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONVERTINTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANBILLNOID BIGINT DEFAULT 0 NOT NULL,
FLOANCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINSTCURRENCYID BIGINT DEFAULT 0 NOT NULL
);

EXEC p_AlterColumn 'T_CFM_LOANCONTRACTBILL_DP', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '0010', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_DP' AND KSQL_COL_NAME IN ('FDRAWAMT')) 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_DP ADD (FDRAWAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_DP' AND KSQL_COL_NAME IN ('FDRAWSTATE')) 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_DP ADD (FDRAWSTATE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_DP' AND KSQL_COL_NAME IN ('FACCTBANKID')) 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_DP ADD (FACCTBANKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_DP' AND KSQL_COL_NAME IN ('FMODIFIERID')) 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_DP ADD (FMODIFIERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_DP' AND KSQL_COL_NAME IN ('FMODIFYTIME')) 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_DP ADD (FMODIFYTIME DATETIME );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_P' AND KSQL_COL_NAME IN ('FUNWRITEOFFAMT')) 
 ALTER TABLE T_CFM_LOANBILL_P ADD (FUNWRITEOFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_F' AND KSQL_COL_NAME IN ('FUNWRITEOFFAMT')) 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_F ADD (FUNWRITEOFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );