<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>1062404858868521985</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1701251093000</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <ConvertType2>SourceField,creditor</ConvertType2>
                      <SourceFieldKey>creditor</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>openorg</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>entrustorg</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>applyorg</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>326579915841364992</Expression>
                          <Description/>
                          <ExprTran>其他付款</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>billtype</TargetFieldKey>
                      <ConvertType2>CONSTANT,326579915841364992</ConvertType2>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auditdate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bizdate</TargetFieldKey>
                      <ConvertType2>SourceField,bizdate</ConvertType2>
                      <SourceFieldKey>bizdate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>payeetype</TargetFieldKey>
                      <ValByCondiionsString>{"items":[{"id":"1BMPF974GDLK","seq":1,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='ingroup' and finproduct.iswtdk =false","exprTran":"贷款人性质 ='ingroup' and 是否委托贷款 =false","description":{"zh_CN":"集团内非委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='ingroup' and 是否委托贷款 =false"},"exprDesc":"集团内非委贷"},"formula":{"expression":"'bos_org'","exprTran":"'bos_org'","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"'bos_org'"},"exprDesc":"'bos_org'"},"select":"ByCondition"},{"id":"1BMPRC1TBIAN","seq":2,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='ingroup' and finproduct.iswtdk =true","exprTran":"贷款人性质 ='ingroup' and 是否委托贷款 =true","description":{"zh_CN":"集团内委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='ingroup' and 是否委托贷款 =true"},"exprDesc":"集团内委贷"},"formula":{"expression":"'other'","exprTran":"'other'","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"'other'"},"exprDesc":"'other'"},"select":"ByCondition"},{"id":"1BMPXFSXLQRD","seq":3,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='outgroup'","exprTran":"贷款人性质 ='outgroup'","description":{"zh_CN":"集团外"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='outgroup'"},"exprDesc":"集团外"},"formula":{"expression":"'other'","exprTran":"'other'","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"'other'"},"exprDesc":"'other'"},"select":"ByCondition"}],"description":"'bos_org'\\'other'\\'other'"}</ValByCondiionsString>
                      <ConvertType2>ByCondition,1BMPF974GDLK_ByCondition_lendernature ='ingroup' and finproduct.iswtdk =false_0_'bos_org'_298986881;1BMPRC1TBIAN_ByCondition_lendernature ='ingroup' and finproduct.iswtdk =true_0_'other'_-1139380565;1BMPXFSXLQRD_ByCondition_lendernature ='outgroup'_0_'other'_842297034</ConvertType2>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='ingroup' and finproduct.iswtdk =false</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团内非委贷</Description>
                                  <ExprTran>贷款人性质 ='ingroup' and 是否委托贷款 =false</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'bos_org'</Expression>
                                  <Description/>
                                  <ExprTran>'bos_org'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1BMPF974GDLK</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='ingroup' and finproduct.iswtdk =true</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团内委贷</Description>
                                  <ExprTran>贷款人性质 ='ingroup' and 是否委托贷款 =true</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'other'</Expression>
                                  <Description/>
                                  <ExprTran>'other'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1BMPRC1TBIAN</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='outgroup'</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团外</Description>
                                  <ExprTran>贷款人性质 ='outgroup'</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'other'</Expression>
                                  <Description/>
                                  <ExprTran>'other'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1BMPXFSXLQRD</Id>
                              <Seq>3</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>description</TargetFieldKey>
                      <ConvertType2>Formula,'投资放款（放款单号：'+billno +'）'</ConvertType2>
                      <Formula>
                        <CRFormula>
                          <Expression>'投资放款（放款单号：'+billno +'）'</Expression>
                          <Description/>
                          <ExprTran>'投资放款（放款单号：'+放款单编号 +'）'</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeracctbank</TargetFieldKey>
                      <ConvertType2>SourceField,loaneracctbank</ConvertType2>
                      <SourceFieldKey>loaneracctbank</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payerbank</TargetFieldKey>
                      <ConvertType2>SourceField,loaneracctbank.bank</ConvertType2>
                      <SourceFieldKey>loaneracctbank.bank</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeebank</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>localamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>currency</TargetFieldKey>
                      <ConvertType2>SourceField,currency</ConvertType2>
                      <SourceFieldKey>currency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>exchangerate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>actpayamt</TargetFieldKey>
                      <ConvertType2>Formula,drawamount - payedintamount</ConvertType2>
                      <Formula>
                        <CRFormula>
                          <Expression>drawamount - payedintamount</Expression>
                          <Description>放款金额 - 实付利息</Description>
                          <ExprTran>放款金额 - 实付利息</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>900004</Expression>
                          <Description/>
                          <ExprTran>电汇</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>settletype</TargetFieldKey>
                      <ConvertType2>CONSTANT,900004</ConvertType2>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settletnumber</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>usage</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>recaccbankname</TargetFieldKey>
                      <ValByCondiionsString>{"items":[{"id":"1C96P//7WHG2","seq":1,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='outgroup' and finproduct.iswtdk =false","exprTran":"贷款人性质 ='outgroup' and 是否委托贷款 =false","description":{"zh_CN":"集团外非委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='outgroup' and 是否委托贷款 =false"},"exprDesc":"集团外非委贷"},"formula":{"expression":"textdebtor","exprTran":"借款人","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"借款人"},"exprDesc":"借款人"},"select":"ByCondition"},{"id":"1C96P//7YSAY","seq":2,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='outgroup' and finproduct.iswtdk =true","exprTran":"贷款人性质 ='outgroup' and 是否委托贷款 =true","description":{"zh_CN":"集团外委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='outgroup' and 是否委托贷款 =true"},"exprDesc":"集团外委贷"},"formula":{"expression":"clientorg.name","exprTran":"名称","description":{"zh_CN":"受托机构名称"},"localeExprTran":{"zh_CN":"名称"},"exprDesc":"受托机构名称"},"select":"ByCondition"},{"id":"1C96P//7WHG3","seq":3,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='ingroup' and finproduct.iswtdk =false","exprTran":"贷款人性质 ='ingroup' and 是否委托贷款 =false","description":{"zh_CN":"集团内非委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='ingroup' and 是否委托贷款 =false"},"exprDesc":"集团内非委贷"},"formula":{"expression":"org.name","exprTran":"名称","description":{"zh_CN":"借款人名称"},"localeExprTran":{"zh_CN":"名称"},"exprDesc":"借款人名称"},"select":"ByCondition"},{"id":"1C96P//7YSAZ","seq":4,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='ingroup' and finproduct.iswtdk =true","exprTran":"贷款人性质 ='ingroup' and 是否委托贷款 =true","description":{"zh_CN":"集团内委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='ingroup' and 是否委托贷款 =true"},"exprDesc":"集团内委贷"},"formula":{"expression":"clientorg.name","exprTran":"名称","description":{"zh_CN":"受托机构名称"},"localeExprTran":{"zh_CN":"名称"},"exprDesc":"受托机构名称"},"select":"ByCondition"}],"description":"借款人\\受托机构名称\\借款人名称\\受托机构名称"}</ValByCondiionsString>
                      <ConvertType2>ByCondition,1C96P//7WHG2_ByCondition_lendernature ='outgroup' and finproduct.iswtdk =false_0_textdebtor_-974379820;1C96P//7YSAY_ByCondition_lendernature ='outgroup' and finproduct.iswtdk =true_0_clientorg.name_-331771876;1C96P//7WHG3_ByCondition_lendernature ='ingroup' and finproduct.iswtdk =false_0_org.name_561884864;1C96P//7YSAZ_ByCondition_lendernature ='ingroup' and finproduct.iswtdk =true_0_clientorg.name_1303542336</ConvertType2>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='outgroup' and finproduct.iswtdk =false</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团外非委贷</Description>
                                  <ExprTran>贷款人性质 ='outgroup' and 是否委托贷款 =false</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>textdebtor</Expression>
                                  <Description/>
                                  <ExprTran>借款人</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C96P//7WHG2</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='outgroup' and finproduct.iswtdk =true</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团外委贷</Description>
                                  <ExprTran>贷款人性质 ='outgroup' and 是否委托贷款 =true</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>clientorg.name</Expression>
                                  <Description>受托机构名称</Description>
                                  <ExprTran>名称</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C96P//7YSAY</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='ingroup' and finproduct.iswtdk =false</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团内非委贷</Description>
                                  <ExprTran>贷款人性质 ='ingroup' and 是否委托贷款 =false</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>org.name</Expression>
                                  <Description>借款人名称</Description>
                                  <ExprTran>名称</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C96P//7WHG3</Id>
                              <Seq>3</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='ingroup' and finproduct.iswtdk =true</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团内委贷</Description>
                                  <ExprTran>贷款人性质 ='ingroup' and 是否委托贷款 =true</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>clientorg.name</Expression>
                                  <Description>受托机构名称</Description>
                                  <ExprTran>名称</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C96P//7YSAZ</Id>
                              <Seq>4</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>recbanknumber</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>payeename</TargetFieldKey>
                      <ValByCondiionsString>{"items":[{"id":"1C96=IRI9D0=","seq":1,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='outgroup' and finproduct.iswtdk =false","exprTran":"贷款人性质 ='outgroup' and 是否委托贷款 =false","description":{"zh_CN":"集团外非委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='outgroup' and 是否委托贷款 =false"},"exprDesc":"集团外非委贷"},"formula":{"expression":"textdebtor","exprTran":"借款人","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"借款人"},"exprDesc":"借款人"},"select":"ByCondition"},{"id":"1C96=IRI735F","seq":2,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='outgroup' and finproduct.iswtdk =true","exprTran":"贷款人性质 ='outgroup' and 是否委托贷款 =true","description":{"zh_CN":"集团外委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='outgroup' and 是否委托贷款 =true"},"exprDesc":"集团外委贷"},"formula":{"expression":"clientorg.name","exprTran":"名称","description":{"zh_CN":"受托机构名称"},"localeExprTran":{"zh_CN":"名称"},"exprDesc":"受托机构名称"},"select":"ByCondition"},{"id":"1C96=IRI9D0A","seq":3,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='ingroup' and finproduct.iswtdk =true","exprTran":"贷款人性质 ='ingroup' and 是否委托贷款 =true","description":{"zh_CN":"集团内委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='ingroup' and 是否委托贷款 =true"},"exprDesc":"集团内委贷"},"formula":{"expression":"clientorg.name","exprTran":"名称","description":{"zh_CN":"受托机构名称"},"localeExprTran":{"zh_CN":"名称"},"exprDesc":"受托机构名称"},"select":"ByCondition"},{"id":"1C96=IRI735G","seq":4,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature ='ingroup' and finproduct.iswtdk =false","exprTran":"贷款人性质 ='ingroup' and 是否委托贷款 =false","description":{"zh_CN":"集团内非委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 ='ingroup' and 是否委托贷款 =false"},"exprDesc":"集团内非委贷"},"formula":{"expression":"org.name","exprTran":"名称","description":{"zh_CN":"借款人名称"},"localeExprTran":{"zh_CN":"名称"},"exprDesc":"借款人名称"},"select":"ByCondition"}],"description":"借款人\\受托机构名称\\受托机构名称\\借款人名称"}</ValByCondiionsString>
                      <ConvertType2>ByCondition,1C96=IRI9D0=_ByCondition_lendernature ='outgroup' and finproduct.iswtdk =false_0_textdebtor_-1254613028;1C96=IRI735F_ByCondition_lendernature ='outgroup' and finproduct.iswtdk =true_0_clientorg.name_1082527717;1C96=IRI9D0A_ByCondition_lendernature ='ingroup' and finproduct.iswtdk =true_0_clientorg.name_-1648388389;1C96=IRI735G_ByCondition_lendernature ='ingroup' and finproduct.iswtdk =false_0_org.name_438802131</ConvertType2>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='outgroup' and finproduct.iswtdk =false</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团外非委贷</Description>
                                  <ExprTran>贷款人性质 ='outgroup' and 是否委托贷款 =false</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>textdebtor</Expression>
                                  <Description/>
                                  <ExprTran>借款人</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C96=IRI9D0=</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='outgroup' and finproduct.iswtdk =true</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团外委贷</Description>
                                  <ExprTran>贷款人性质 ='outgroup' and 是否委托贷款 =true</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>clientorg.name</Expression>
                                  <Description>受托机构名称</Description>
                                  <ExprTran>名称</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C96=IRI735F</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='ingroup' and finproduct.iswtdk =true</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团内委贷</Description>
                                  <ExprTran>贷款人性质 ='ingroup' and 是否委托贷款 =true</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>clientorg.name</Expression>
                                  <Description>受托机构名称</Description>
                                  <ExprTran>名称</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C96=IRI9D0A</Id>
                              <Seq>3</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature ='ingroup' and finproduct.iswtdk =false</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团内非委贷</Description>
                                  <ExprTran>贷款人性质 ='ingroup' and 是否委托贷款 =false</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>org.name</Expression>
                                  <Description>借款人名称</Description>
                                  <ExprTran>名称</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C96=IRI735G</Id>
                              <Seq>4</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>fundflowitem</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeeformid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>180907466014344192</Expression>
                          <Description/>
                          <ExprTran>其他</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>paymenttype</TargetFieldKey>
                      <ConvertType2>CONSTANT,180907466014344192</ConvertType2>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>paydate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>sourcebillid</TargetFieldKey>
                      <ConvertType2>Formula,id</ConvertType2>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>放款处理.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>payee</TargetFieldKey>
                      <ValByCondiionsString>{"items":[{"id":"1C94TXI4UZNM","seq":1,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature = 'ingroup' and finproduct.iswtdk =false","exprTran":"贷款人性质 = 'ingroup' and 是否委托贷款 =false","description":{"zh_CN":"集团内非委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 = 'ingroup' and 是否委托贷款 =false"},"exprDesc":"集团内非委贷"},"formula":{"expression":"org","exprTran":"借款人","description":{"zh_CN":""},"localeExprTran":{"zh_CN":"借款人"},"exprDesc":"借款人"},"select":"ByCondition"}],"description":"借款人"}</ValByCondiionsString>
                      <ConvertType2>ByCondition,1C94TXI4UZNM_ByCondition_lendernature = 'ingroup' and finproduct.iswtdk =false_0_org_1751719042</ConvertType2>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature = 'ingroup' and finproduct.iswtdk =false</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团内非委贷</Description>
                                  <ExprTran>贷款人性质 = 'ingroup' and 是否委托贷款 =false</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>org</Expression>
                                  <Description/>
                                  <ExprTran>借款人</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C94TXI4UZNM</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>payeebanknum</TargetFieldKey>
                      <ValByCondiionsString>{"items":[{"id":"1C9=WX71LBN=","seq":1,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature = 'ingroup' and finproduct.iswtdk =false","exprTran":"贷款人性质 = 'ingroup' and 是否委托贷款 =false","description":{"zh_CN":"集团内非委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 = 'ingroup' and 是否委托贷款 =false"},"exprDesc":"集团内非委贷"},"formula":{"expression":"accountbank.bankaccountnumber","exprTran":"银行账号","description":{"zh_CN":"提款银行账号"},"localeExprTran":{"zh_CN":"银行账号"},"exprDesc":"提款银行账号"},"select":"ByCondition"}],"description":"提款银行账号"}</ValByCondiionsString>
                      <ConvertType2>ByCondition,1C9=WX71LBN=_ByCondition_lendernature = 'ingroup' and finproduct.iswtdk =false_0_accountbank.bankaccountnumber_1050436381</ConvertType2>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature = 'ingroup' and finproduct.iswtdk =false</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团内非委贷</Description>
                                  <ExprTran>贷款人性质 = 'ingroup' and 是否委托贷款 =false</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>accountbank.bankaccountnumber</Expression>
                                  <Description>提款银行账号</Description>
                                  <ExprTran>银行账号</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C9=WX71LBN=</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeeacctbank</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeeaccformid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>basecurrency</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>payeebankname</TargetFieldKey>
                      <ValByCondiionsString>{"items":[{"id":"1C9A+4LWM9TK","seq":1,"ifconstant":0,"selectType":"ByCondition","condition":{"expression":"lendernature = 'ingroup' and finproduct.iswtdk =false","exprTran":"贷款人性质 = 'ingroup' and 是否委托贷款 =false","description":{"zh_CN":"集团内非委贷"},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"localeExprTran":{"zh_CN":"贷款人性质 = 'ingroup' and 是否委托贷款 =false"},"exprDesc":"集团内非委贷"},"formula":{"expression":"accountbank.bank.name","exprTran":"名称","description":{"zh_CN":"提款银行账户开户行名称"},"localeExprTran":{"zh_CN":"名称"},"exprDesc":"提款银行账户开户行名称"},"select":"ByCondition"}],"description":"提款银行账户开户行名称"}</ValByCondiionsString>
                      <ConvertType2>ByCondition,1C9A+4LWM9TK_ByCondition_lendernature = 'ingroup' and finproduct.iswtdk =false_0_accountbank.bank.name_1763182821</ConvertType2>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>lendernature = 'ingroup' and finproduct.iswtdk =false</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>集团内非委贷</Description>
                                  <ExprTran>贷款人性质 = 'ingroup' and 是否委托贷款 =false</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>accountbank.bank.name</Expression>
                                  <Description>提款银行账户开户行名称</Description>
                                  <ExprTran>名称</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1C9A+4LWM9TK</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bankcheckflag_old</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>paymentmode</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>CIM</Expression>
                          <Description/>
                          <ExprTran>投资管理</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>sourcetype</TargetFieldKey>
                      <ConvertType2>CONSTANT,CIM</ConvertType2>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeracctcash</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>sourcebillnumber</TargetFieldKey>
                      <ConvertType2>SourceField,billno</ConvertType2>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>cim_invest_loanbill</Expression>
                          <Description/>
                          <ExprTran>放款单</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>sourcebilltype</TargetFieldKey>
                      <ConvertType2>CONSTANT,cim_invest_loanbill</ConvertType2>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>inneraccount</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>reason</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>backdate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>backuser</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>expectdate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>exratetable</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>exratedate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>draftbill</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>paymentchannel</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>netbankacct</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>issupplecontract</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>vouchernum</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>itempayeetype</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>itempayee</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ispersonpay</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>iscrosspay</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>isdiffcur</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>dpcurrency</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>dpexratetable</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>dpexratedate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>dpexchangerate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>dpamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>dplocalamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>agreedrate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>lossamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>fee</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>feeactbank</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>feecurrency</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>contractno</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>feepayer</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeecurrency</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>paycountry</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>iswaitsche</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>imageno</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>isheadpush</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>sourceentryid</TargetFieldKey>
                      <ConvertType2>Formula,id</ConvertType2>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>放款处理.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>sourceentry</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>businesstype</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeeacctcash</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payernumber</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>uniformsocialcreditcode</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeenumber</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>acttradedate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>priority</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>istop</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>hotaccount</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>inneraccountcurrency</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>inneraccountamount</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bankcheckflag</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payquotation</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>dppayquotation</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>agreedquotation</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>1307961752700412928</Expression>
                          <Description/>
                          <ExprTran>被动付款</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>paymentidentify</TargetFieldKey>
                      <ConvertType2>CONSTANT,1307961752700412928</ConvertType2>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>singlestream</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>feepaydate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>reccountry</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>recprovince</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>reccity</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>crosstrantype</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>recemail</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>recbankaddress</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>auditparam</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>transtype</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>paymethod</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>serlevel</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payproxybank</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>checktype</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>sendway</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>checkuse</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>recswiftcode</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>recroutingnum</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>recothercode</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>instructmsg</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>recaddress</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settlementmethod</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>mobile</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>paymentterm</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>paymentfps</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>paymentareacode</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>inforpayment</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>informrecemail</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>matchflag</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>matchamountpay</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unmatchamountpay</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>relateotherflow</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>matchamountrec</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unmatchamountrec</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>matchflagmsg</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settlestatus</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unsettleamount</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unsettleamountbase</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settleamount</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settleamountbase</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>proxybebank</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>proxybebankname</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>proxybebanksc</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>proxybebankad</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>proxybebankcountry</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>proxybebankactno</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>proxybebankactname</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>isbilldibs</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>receiveid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>parentacct</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>applyname</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>applyid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>applyphone</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settletag</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>urgentflag</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_remark</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>e_actamt</TargetFieldKey>
                      <ConvertType2>Formula,drawamount - payedintamount</ConvertType2>
                      <Formula>
                        <CRFormula>
                          <Expression>drawamount - payedintamount</Expression>
                          <Description>放款金额 - 实付利息</Description>
                          <ExprTran>放款金额 - 实付利息</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_fundflowitem</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_localamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>e_sourcebillid</TargetFieldKey>
                      <ConvertType2>Formula,id</ConvertType2>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>放款处理.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>e_sourcebillentryid</TargetFieldKey>
                      <ConvertType2>Formula,id</ConvertType2>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>放款处理.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>e_payableamt</TargetFieldKey>
                      <ConvertType2>Formula,drawamount - payedintamount</ConvertType2>
                      <Formula>
                        <CRFormula>
                          <Expression>drawamount - payedintamount</Expression>
                          <Description>放款金额 - 实付利息</Description>
                          <ExprTran>放款金额 - 实付利息</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_payablelocamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_discountamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_discountlocamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_corebilltype</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_corebillno</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_corebillentryseq</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_lockamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_unlockamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_settledamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_unsettledamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_expenseitem</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_material</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settleorg</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>project</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>taxrate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>taxamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>contractnumber</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_refundamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_refunddes</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_scheid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>entrybizdate</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_settledlocalamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_unsettledlocalamt</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>conbillentity</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>conbillrownum</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>conbillnumber</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>conbillid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>conbillentryid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_corebillentryid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_corebillid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>costcenter</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_paymenttype</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>productline</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ebankcheckflag</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>transamount</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>paybillcurrency</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>draftbillinfo</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbilltype</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbillindex</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>draftbilllogid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbillid</TargetFieldKey>
                      <SourceFieldKey/>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterString>{"filterRow":[{"id":"3/+37WLACBKL","leftBracket":"","compareType":"105","fieldName":"isinit","rightBracket":"","logic":"0","value":[{"id":"3/+37WLHM5=C","value":"0"}],"baseDataIds":[]},{"id":"391WFM4I4I/S","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"391WFM4I4GO9","value":"C"}],"baseDataIds":[]},{"id":"391WFM4I4I/T","leftBracket":"","compareType":"105","fieldName":"isrelcash","rightBracket":"","logic":"0","value":[{"id":"391WFM4I4GO=","value":"1"}],"baseDataIds":[]}],"forList":false}</FilterString>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>isinit</FieldName>
                              <RightBracket/>
                              <Id>3/+37WLACBKL</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>3/+37WLHM5=C</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>billstatus</FieldName>
                              <RightBracket/>
                              <Id>391WFM4I4I/S</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>391WFM4I4GO9</Id>
                                  <Value>C</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>isrelcash</FieldName>
                              <RightBracket/>
                              <Id>391WFM4I4I/T</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>391WFM4I4GO=</Id>
                                  <Value>1</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description/>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <TargetEntryKey>cas_paybill</TargetEntryKey>
                  <SourceEntryKey>cim_invest_loanbill</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <SysStatus/>
              <AttachmentPanelMapPolicy>
                <AttachmentPanelMapPolicy>
                  <Items>
                    <AttachmentPanelMapItem>
                      <TargetAttachmentPanel>attachmentpanel</TargetAttachmentPanel>
                      <Id>3QO8XCIQL/=/</Id>
                      <Seq>1</Seq>
                    </AttachmentPanelMapItem>
                  </Items>
                </AttachmentPanelMapPolicy>
              </AttachmentPanelMapPolicy>
              <OptionPolicy>
                <OptionPolicy>
                  <MergeIntoLinkRow>true</MergeIntoLinkRow>
                  <PushMutex>true</PushMutex>
                  <OnlyReadBillTable>false</OnlyReadBillTable>
                </OptionPolicy>
              </OptionPolicy>
              <TargetEntityNumber>cas_paybill</TargetEntityNumber>
              <SourceEntityNumber>cim_invest_loanbill</SourceEntityNumber>
              <Id>1062404858868521985</Id>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.bos.ext.fi.botp.convert.PaymentBillConvertPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <efRule>false</efRule>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>贷款放款到付款处理</Name>
            </ConvertRuleElement>
          </RuleElement>
          <Id>1062404858868521985</Id>
          <CreateDate>1609848528000</CreateDate>
          <ParentId/>
          <MasterId/>
          <BizappId>1B1SOA0ZVRNM</BizappId>
          <InheritPath/>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>13466739</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1701251093166</Version>
      <Enabled>true</Enabled>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <SysStatus></SysStatus>
      <BizappId>1B1SOA0ZVRNM</BizappId>
      <TargetEntityNumber>cas_paybill</TargetEntityNumber>
      <SourceEntityNumber>cim_invest_loanbill</SourceEntityNumber>
      <Id>1062404858868521985</Id>
      <InheritPath></InheritPath>
      <CreateDate>1609848528000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
