
-- 是否SOFR利率 字段升级：根据合同单融资模型SOFR利率升级
update t_cfm_loancontractbill_f cf
set fissofrrate = (
	select pe.fissofrrate
	  from t_cfm_productfactory_e pe, t_cfm_loancontractbill_e ce
     where pe.fid = ce.fproductfactoryid and cf.fid = ce.fid
)
where exists (select ce.fid from t_cfm_loancontractbill_e ce, t_cfm_productfactory_e pe  where pe.fid = ce.fproductfactoryid and cf.fid = ce.fid);


-- 是否复利计息 字段升级：根据合同单融资模型复利计息升级
update t_cfm_loancontractbill_f cf
set fiscallcompint = (
	select pe.fiscallcompint
	  from t_cfm_productfactory_e pe, t_cfm_loancontractbill_e ce
     where pe.fid = ce.fproductfactoryid and cf.fid = ce.fid
)
where exists (select ce.fid from t_cfm_loancontractbill_e ce, t_cfm_productfactory_e pe  where pe.fid = ce.fproductfactoryid and cf.fid = ce.fid);
