--还款单补充银团还款明细分录
insert into t_cfm_repaymentbill_sl(fentryid,fid,floanbillnoid,fseq,fbankrole,fbankid,floanamount,frepayamount,frepayinst)
select ba.fentryid+rt.fid/10,rt.fid repid,t.fid loanid,ba.fseq,ba.fbankrole,ba.ffinorginfoid,ba.fshareamount,round(ba.fshareamount*rt.frepayamount/t.fdrawamount,2),round(ba.fshareamount*rt.factintamt/t.fdrawamount,2)
from t_cfm_loanbill t left join t_cfm_loanbill_e e on t.fid=e.fid
left join t_cfm_repaymentbill_loans rt on t.fid=rt.floanbillid
left join t_cfm_loancontractbill_ba ba on t.fid=ba.fid where e.floantype ='sl' and rt.floanbillid is not null and ba.fid is not null and t.fdrawamount>0
and not exists (select fid from t_cfm_repaymentbill_sl sl where sl.fid=rt.fid and sl.floanbillnoid=t.fid and sl.fbankid=ba.ffinorginfoid or sl.fentryid=(ba.fentryid+rt.fid/10));
--付息单补充银团付息明细-还本付息
insert into t_cfm_interestbill_sl(fentryid,fid,fseq,floanbillnoid,fbankrole,fbankid,floanamount,frepayinst,fconvertintamt)
select sl.fentryid,it.fid,sl.fseq,sl.floanbillnoid,sl.fbankrole,sl.fbankid,sl.floanamount,sl.frepayinst,sl.frepayinst from t_cfm_repaymentbill_sl sl
left join t_cfm_interestbill it on sl.fid=it.frepaymentid and sl.floanbillnoid =it.fsourcebillid
where it.fid is not null and exists (select fid from t_cfm_interestbill t where t.frepaymentid=sl.fid and t.finstbillctg='payprinandinte' and t.floantype='sl')
and not exists (select fid from t_cfm_interestbill_sl l where l.fid=it.fid or l.fentryid=sl.fentryid);
--付息单补充银团付息明细-付息
insert into t_cfm_interestbill_sl(fentryid,fid,fseq,floanbillnoid,fbankrole,fbankid,floanamount,frepayinst,fconvertintamt)
select ba.fentryid+t.fid/10,t.fid,ba.fseq,t.fsourcebillid,ba.fbankrole,ba.ffinorginfoid,ba.fshareamount,round(ba.fshareamount*t.factualinstamt/loan.fdrawamount,2),round(ba.fshareamount*e.fconvertintamt/loan.fdrawamount,2)
from t_cfm_interestbill t left join t_cfm_interestbill_e e on t.fid=e.fid
left join t_cfm_loanbill loan on t.fsourcebillid =loan.fid
left join t_cfm_loancontractbill_ba ba on loan.fid=ba.fid
where t.floantype='sl' and t.fsourcebillid !=0 and t.fsourcebillid is not null and t.fid is not null and ba.fid is not null and loan.fdrawamount>0
and not exists (select fid from t_cfm_interestbill_sl sl where sl.fid=t.fid or sl.fentryid=(ba.fentryid+t.fid/10));
--批量付息单补充银团付息明细
insert into t_ifm_intbill_batch_sl(fentryid,fid,fseq,floanbillnoid,fbankrole,fbankid,floancurrencyid,floanamount,finstcurrencyid,frepayinst,fconvertintamt)
select sl.fentryid,bhe.fid,sl.fseq,sl.floanbillnoid,sl.fbankrole,sl.fbankid,e.floancurrencyid,sl.floanamount,t.fcurrencyid,sl.frepayinst,sl.fconvertintamt
from t_ifm_intbill_batch_int bhe left join t_cfm_interestbill t on bhe.fintbillid=t.fid
left join t_cfm_interestbill_e e on t.fid=e.fid
left join t_cfm_interestbill_sl sl on sl.fid=t.fid
where e.fid is not null and sl.fid is not null
and not exists (select fid from t_ifm_intbill_batch_sl bsl where bsl.fid=bhe.fid or bsl.fentryid=sl.fentryid);